<script lang="ts">
import Vue from 'vue';
import { getPageMetadata } from '~/common/meta';
import { NextStep, SlpBreadcrumb } from '~/components/common/index.vue';
import {
  SolutionsHero,
  SecurityResourcesFeature,
  SecurityComplianceCards,
  SecurityResourcesLinks,
  SecurityCtaSection,
  SolutionsCards,
  SecurityPackageCards,
  SecurityContentBlock,
  SecurityBannerSpotlightCard,
} from '~/components/security/index.vue';

export default Vue.extend({
  components: {
    NextStep,
    SlpBreadcrumb,
    SolutionsHero,
    SecurityResourcesFeature,
    SecurityComplianceCards,
    SecurityResourcesLinks,
    SecurityCtaSection,
    SolutionsCards,
    SecurityPackageCards,
    SecurityContentBlock,
    SecurityBannerSpotlightCard,
  },
  nuxtI18n: false,
  async asyncData({ params, error, $securityService }: any) {
    try {
      const security = await $securityService.getContent(
        `/security/${params.security ? params.security : ''}`,
      );
      return { security };
    } catch (e) {
      error({ statusCode: 404 });
      return {};
    }
  },
  head() {
    return getPageMetadata((this as any).security, this.$route.path);
  },
});
</script>

<template>
  <div>
    <SlpContainer>
      <SlpBreadcrumb
        v-if="security.breadcrumbs"
        :crumbs="security.breadcrumbs"
      />
    </SlpContainer>
    <component
      :is="component.name"
      v-for="component in security.components"
      :key="component.name"
      :data="component.data"
    />
    <NextStep />
  </div>
</template>
<style scoped lang="scss">
div[role='main'] {
  overflow: clip;
}
</style>
